// (c) Copyright Microsoft Corporation.
// This source is subject to the Microsoft Permissive License.
// See http://www.microsoft.com/resources/sharedsource/licensingbasics/sharedsourcelicenses.mspx.
// All other rights reserved.

using System;
using System.Web.UI.WebControls;
using System.Web.UI;
using System.ComponentModel;
using System.ComponentModel.Design;
using AjaxControlToolkit;


[assembly: System.Web.UI.WebResource(
    "Dflying.Ajax.PopupNotificationExtenderBehavior.js", 
    "text/javascript")]

namespace Dflying.Ajax
{
    [Designer(typeof(PopupNotificationExtenderDesigner))]
    [ClientScriptResource("Dflying.Ajax.PopupNotificationBehavior", "Dflying.Ajax.PopupNotificationExtenderBehavior.js")]
    [TargetControlType(typeof(Panel))]
    [RequiredScript(typeof(BlockingScripts))]
    public class PopupNotificationExtender : AlwaysVisibleControlExtender
    {
        [ExtenderControlProperty]
        [DefaultValue(0.3f)]
        public float ResizeEffectDuration
        {
            get
            {
                return (float)GetPropertyValue("ResizeEffectDuration", 0.3f);
            }
            set
            {
                SetPropertyValue<float>("ResizeEffectDuration", value); ;
            }
        }

        [ExtenderControlProperty]
        [DefaultValue(3)]
        public int ShowNotificationDuration
        {
            get
            {
                return (int)GetPropertyValue("ShowNotificationDuration", 3);
            }
            set
            {
                SetPropertyValue<int>("ShowNotificationDuration", value);
            }
        }

        [ExtenderControlProperty]
        [DefaultValue("")]
        public string ResultLabelID
        {
            get
            {
                return GetPropertyValue<string>("ResultLabelID", string.Empty);
            }
            set
            {
                SetPropertyValue<string>("ResultLabelID", value);
            }
        }

        [ExtenderControlProperty]
        [DefaultValue("")]
        public string ServicePath
        {
            get
            {
                return GetPropertyValue<string>("ServicePath", string.Empty);
            }
            set
            {
                SetPropertyValue<string>("ServicePath", value);
            }
        }

        [ExtenderControlProperty]
        [DefaultValue("")]
        public string ServiceMethod
        {
            get
            {
                return GetPropertyValue<string>("ServiceMethod", string.Empty);
            }
            set
            {
                SetPropertyValue<string>("ServiceMethod", value);
            }
        }

        [ExtenderControlProperty]
        [DefaultValue(60000)]
        public int QueryServiceInterval
        {
            get
            {
                return (int)GetPropertyValue("QueryServiceInterval", 60000);
            }
            set
            {
                SetPropertyValue<int>("QueryServiceInterval", value);
            }
        }
    }
}
